Page MenuHomePhabricator

[llvm-rc] Add additional optional statements serialization support for DIALOG(EX) resources (serialization, pt 5).
ClosedPublic

Authored by mnbvmar on Sep 14 2017, 1:10 PM.

Details

Summary

This allows DIALOG and DIALOGEX to serialize if dialog-specific optional statements are provided. These are (as of now): CAPTION, FONT, and STYLE.

Notably, FONT statement can take more than two arguments when describing DIALOGEX resources (as in msdn.microsoft.com/en-us/library/windows/desktop/aa381013.aspx). I made some changes to the parser to reflect this fact.

Diff Detail

Event Timeline

mnbvmar updated this revision to Diff 117062.Sep 28 2017, 2:50 PM

Moved binary .res output to its printable representation in dialog test.

rnk accepted this revision.Sep 29 2017, 10:15 AM

Looks good

This revision is now accepted and ready to land.Sep 29 2017, 10:15 AM
This revision was automatically updated to reflect the committed changes.